<script type="text/jscript">
function Valtext(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = " áéíóúabcdefghijklmnñopqrstuvwxyz";
    especiales = [8, 37, 39, 46];

    tecla_especial = false
    for(var i in especiales) {
        if(key == especiales[i]) {
            tecla_especial = true;
            break;
        }
    }

    if(letras.indexOf(tecla) == -1 && !tecla_especial)
        return false;
}

function ValNumero(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = "0123456789";
    especiales = [8, 37, 39, 46];

    tecla_especial = false
    for(var i in especiales) {
        if(key == especiales[i]) {
            tecla_especial = true;
            break;
        }
    }

    if(letras.indexOf(tecla) == -1 && !tecla_especial)
        return false;
}
</script>


<style>
#primero {
    width: 45%;
    float: left;
    height: 600px;
	padding: 5px;
	font-size:10px;
	border:#000;
	border-style:solid; 
}

#segundo {
    width: 55%;
    float: right;
    height: 600px;
	padding: 5px;
	overflow-y: auto;  
	border:#000;
	border-style:solid;
	z-index:-1;
}
</style>


<?php
include("modal/editar_tasa.php");
require_once ("config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
require_once ("config/conexion.php");//Contiene funcion que conecta a la base de datos
session_start();
if (!isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] != 1) 
{
	header("location: login.php");
	exit;
}
$active_facturas="active";
$active_productos="";
$active_clientes="";
$active_usuarios="";	
$title="Cobros | ".NOMBRE_EMPRESA;
	
if (isset($_GET['id_factura']))
{
	$id_factura=intval($_GET['id_factura']);
	$campos="clientes.id_cliente, clientes.nombre_cliente, clientes.telefono_cliente, clientes.email_cliente, facturas.id_vendedor, facturas.fecha_factura, facturas.condiciones_efe, facturas.condiciones_ret, facturas.condiciones_efed, facturas.condiciones_pun, facturas.condiciones_tra, facturas.banco, facturas.ref, facturas.estado_factura, facturas.numero_factura, facturas.fecha_pago, facturas.numero_proforma";
	$sql_factura=mysqli_query($con,"select $campos from facturas, clientes where facturas.id_cliente=clientes.id_cliente and id_factura='".$id_factura."'") or die(mysqli_error($con));
	$count=mysqli_num_rows($sql_factura) or die(mysqli_error($con));
	if ($count==1)
	{
		$rw_factura=mysqli_fetch_array($sql_factura) or die(mysqli_error($con));
		$id_cliente=$rw_factura['id_cliente'];
		$nombre_cliente=$rw_factura['nombre_cliente'];
		$telefono_cliente=$rw_factura['telefono_cliente'];
		$email_cliente=$rw_factura['email_cliente'];
		$id_vendedor_db=$rw_factura['id_vendedor'];
		$fecha_factura=date("d/m/Y", strtotime($rw_factura['fecha_factura']));
		$condiciones_efe=$rw_factura['condiciones_efe'];
		$condiciones_ret=$rw_factura['condiciones_ret'];
		$condiciones_efed=$rw_factura['condiciones_efed'];
		$condiciones_tra=$rw_factura['condiciones_tra'];
		$condiciones_pun=$rw_factura['condiciones_pun'];
		$banco=$rw_factura['banco'];
		$ref=$rw_factura['ref'];
		$fecha_pago=$rw_factura['fecha_pago'];
		$estado_factura=$rw_factura['estado_factura'];
		$numero_factura=$rw_factura['numero_factura'];
		$_SESSION['id_factura']=$id_factura;
		$_SESSION['numero_factura']=$numero_factura;
	}	
	else
	{
		header("location: facturas.php");
		exit;	
	}
} 
else 
{
	header("location: facturas.php");
	exit;
}
?>
<!DOCTYPE html>
	<html lang="en">
		<head>
		    <?php include("head.php");?>
	  	</head>
  		<body>
			<?php
			include("navbar.php");
			?>  
    		<div class="container" style="width:99%;">
			<div class="panel panel-info">
			<div class="panel-heading">
				<h4><i class='glyphicon glyphicon-edit'></i>Procesar Pago</h4>
			</div>
			<div class="panel-body">
        	<div id="primero">
				<form class="form-horizontal" role="form" id="datos_factura">
    	        <div class="table-responsive" align="center">
	    	         <table align="left">
            	     	<tr>
		        	        <td>
				 				<h4 style="font-size:14px;">CLIENTE: <?php echo $nombre_cliente;?></h4>
                  				<input id="id_cliente" name="id_cliente" type='hidden' value="<?php echo $id_cliente;?>">
	                 		</td>
    	                </tr>
        				<tr>
        					<td>
            					<h4 style="font-size:14px;">VENDEDOR: 
          							<?php
									$sql_vendedor=mysqli_query($con,"select * from users where user_id='$id_vendedor_db'");
									while ($rw=mysqli_fetch_array($sql_vendedor))
									{
										$nombre_vendedor=$rw["firstname"]." ".$rw["lastname"];
										echo $nombre_vendedor;?>
										<input type="text" class="form-control input-sm" id="id_vendedor" name="id_vendedor" value="<?php echo $id_vendedor_db?>" style="visibility:hidden;">
									<?php
									}
									$hoy = date("Y-m-d");
									?>
                            	</h4>
          					</td>
	                  	</tr>
    	                <tr>
        	            	<td>
            	            	<h4 style="font-size:14px;">FECHA DE PAGO
                	            <input type="date" class="form-control input-sm" id="fecha_pago" name="fecha_pago" value="<?php echo $hoy;?>" required></h4>
	                	    </td>
	                    </tr>
    	           	</table>
        	        <br>
            	    </br>
                	<table class="table">
                		<tr> 
	                    	<td>
	    	                	<h4 style="font-size:14px;" align="left">FORMA DE PAGO</h4>
    	    	        	</td>
							<td>
				 			<h4 style="font-size:12px;" align="left">¿SE EMITIO FACTURA? 
							<?php if(isset($_SESSION["facturar"]))
							{?>
							<input type="checkbox" id="fac" value="SI" name="fac" checked="checked"> SI</h4>
							<?php
							}
							else
							{
							?>
							<input type="checkbox" id="fac" value="SI" name="fac" /> SI</h4>
							<?php
							}
							?>
							</td>
        	            </tr>
            	       	<tr>  
                	        <td>
				  				<label style="font-size:12px;">EFECTIVO BsD</label>
			            		<input type="text" class="form-control" id="condiciones_efe" name="condiciones_efe" placeholder="0.00" onKeyPress="return ValNumero(event)">
							</td>
							<td>
				  				<label style="font-size:12px;">EFECTIVO $</label>
				            	<input type="text" class="form-control" id="condiciones_efed" name="condiciones_efed" placeholder="0.00" onKeyPress="return ValNumero(event)">
					  		</td>
        	            </tr>
            	       	<tr>
					  		<td>
                  				<label style="font-size:12px;">PUNTO BsD</label>
                        	   	<input type="text" class="form-control" id="condiciones_pun" name="condiciones_pun" placeholder="0.00" onKeyPress="return ValNumero(event)">
							</td>
							<td>
							<div id="rete" name="rete" style="display:none;">
                  				<label style="font-size:12px;">RETENCIONES BsD</label>
                        	   	<input type="text" class="form-control" id="condiciones_ret" name="condiciones_ret" placeholder="0.00" onKeyPress="return ValNumero(event)">
							</div>
							</td>
    	               	</tr>
        	           	<tr>
    						<td>
        						<label style="font-size:12px;">TRANSFERENCIA BsD</label>
                    	      	<input type="text" class="form-control" placeholder="0.00" id="condiciones_tra" name="condiciones_tra" onKeyPress="return ValNumero(event)">
							</td>
	       				</tr>
    	                <tr>        
        	                <td>
								<select class='form-control input-sm ' id="banco" name="banco" style="display:none;">
									<option value="">Seleccione el banco</option>
									<option value="0156" <?php if ($banco=="0156"){echo "selected";}?>>100%BANCO</option>
  <option value="0196" <?php if ($banco=="0196"){echo "selected";}?> >ABN AMRO BANK</option>
  <option value="0172" <?php if ($banco=="0172"){echo "selected";}?>>BANCAMIGA BANCO MICROFINANCIERO, C.A.</option>
  <option value="0171" <?php if ($banco=="0171"){echo "selected";}?>>BANCO ACTIVO BANCO COMERCIAL, C.A.</option>
  <option value="0166" <?php if ($banco=="0166"){echo "selected";}?>>BANCO AGRICOLA</option>
  <option value="0175" <?php if ($banco=="0175"){echo "selected";}?>>BANCO BICENTENARIO</option>
  <option value="0128" <?php if ($banco=="0128"){echo "selected";}?>>BANCO CARONI, C.A. BANCO UNIVERSAL</option>
  <option value="0164" <?php if ($banco=="0164"){echo "selected";}?>>BANCO DE DESARROLLO DEL MICROEMPRESARIO</option>
  <option value="0102" <?php if ($banco=="0102"){echo "selected";}?>>BANCO DE VENEZUELA S.A.I.C.A.</option>
  <option value="0114" <?php if ($banco=="0114"){echo "selected";}?>>BANCO DEL CARIBE C.A.</option>
  <option value="0149" <?php if ($banco=="0149"){echo "selected";}?>>BANCO DEL PUEBLO SOBERANO C.A.</option>
  <option value="0163" <?php if ($banco=="0163"){echo "selected";}?>>BANCO DEL TESORO</option>
  <option value="0176" <?php if ($banco=="0176"){echo "selected";}?>>BANCO ESPIRITO SANTO, S.A.</option>
  <option value="0115" <?php if ($banco=="0115"){echo "selected";}?>>BANCO EXTERIOR C.A.</option>
  <option value="0003" <?php if ($banco=="0003"){echo "selected";}?>>BANCO INDUSTRIAL DE VENEZUELA.</option>
  <option value="0173" <?php if ($banco=="0173"){echo "selected";}?>>BANCO INTERNACIONAL DE DESARROLLO, C.A.</option>
  <option value="0105" <?php if ($banco=="0105"){echo "selected";}?>>BANCO MERCANTIL C.A.</option>
  <option value="0191" <?php if ($banco=="0191"){echo "selected";}?>>BANCO NACIONAL DE CREDITO</option>
  <option value="0116" <?php if ($banco=="0116"){echo "selected";}?>>BANCO OCCIDENTAL DE DESCUENTO.</option>
  <option value="0138" <?php if ($banco=="0138"){echo "selected";}?>>BANCO PLAZA</option>
  <option value="0108" <?php if ($banco=="0108"){echo "selected";}?>>BANCO PROVINCIAL BBVA</option>
  <option value="0104" <?php if ($banco=="0104"){echo "selected";}?>>BANCO VENEZOLANO DE CREDITO S.A.</option>
  <option value="0168" <?php if ($banco=="0168"){echo "selected";}?>>BANCRECER S.A. BANCO DE DESARROLLO</option>
  <option value="0134" <?php if ($banco=="0134"){echo "selected";}?>>BANESCO BANCO UNIVERSAL</option>  
  <option value="0177" <?php if ($banco=="0177"){echo "selected";}?>>BANFANB</option>
  <option value="0146" <?php if ($banco=="0146"){echo "selected";}?>>BANGENTE</option>
  <option value="0174" <?php if ($banco=="0174"){echo "selected";}?>>BANPLUS BANCO COMERCIAL C.A</option>
  <option value="0190" <?php if ($banco=="0190"){echo "selected";}?>>CITIBANK.</option>
  <option value="0121" <?php if ($banco=="0121"){echo "selected";}?>>CORP BANCA.</option>
  <option value="0157" <?php if ($banco=="0157"){echo "selected";}?>>DELSUR BANCO UNIVERSAL</option>
  <option value="0151" <?php if ($banco=="0151"){echo "selected";}?>>FONDO COMUN</option>
  <option value="0601" <?php if ($banco=="0601"){echo "selected";}?>>INSTITUTO MUNICIPAL DE CR&#201;DITO POPULAR</option>
  <option value="0169" <?php if ($banco=="0169"){echo "selected";}?>>MIBANCO BANCO DE DESARROLLO, C.A.</option>
<option value="0137" <?php if ($banco=="0137"){echo "selected";}?>>SOFITASA</option>
								</select>
						</td>
                        <td>
							<input type="text" placeholder="Ingrese Referencia" class="form-control input-sm" id="ref" name="ref" style="display:none;">
						</td>
                        </tr>
                        <tr>
				        <td colspan="2">
							<div class="col-md-12 pull-right">
								<button type="submit" class="btn btn-primary">
						  			<span class="glyphicon glyphicon-ok"></span> Procesar Pago
								</button>
                                
                                <button class="btn btn-danger" id="donar">
						  			<span class="glyphicon glyphicon-gift"></span> Donacion
								</button>
						  </div>	
						</td>
                   </tr>
               	</table>
                <div class="editar_factura col-md-12"style="margin-top:8px">
            </div><!-- Carga los datos ajax -->		
            </div>
			</form>
            
			</div>			
			<div id="segundo">
            	<div class="clearfix">
           		</div>
            	<br>
				<br>
				<h4 align="center" style="font-size:12px; font-weight:bold;">DETALLE DE FACTURA Nº <?php echo $numero_factura;?></h4>
 				<div id="resultados">
    	    	</div><!-- Carga los datos ajax -->			
			</div>
            
		</div>
	</div>				 
	<hr>
	<?php
	include("footer.php");
	?>
    
    
    
    
	<script type="text/javascript" src="js/VentanaCentrada.js"></script>
	<script type="text/javascript" src="js/editar_pago.js"></script>
	<link rel="stylesheet" href="js/jquery-ui-1.11.4/jquery-uitheme.css">
    <script src="js/jquery-ui-1.11.4/jquery-ui.js"></script>
	<script>
		$(function() {
						$("#nombre_cliente").autocomplete({
							source: "./ajax/autocomplete/clientes.php",
							minLength: 2,
							select: function(event, ui) {
								event.preventDefault();
								$('#id_cliente').val(ui.item.id_cliente);
								$('#nombre_cliente').val(ui.item.nombre_cliente);
								$('#tel1').val(ui.item.telefono_cliente);
								$('#mail').val(ui.item.email_cliente);
																
								
							 }
						});
						 
						
					});
					
	$("#nombre_cliente" ).on( "keydown", function( event ) {
						if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
						{
							$("#id_cliente" ).val("");
							$("#tel1" ).val("");
							$("#mail" ).val("");
											
						}
						if (event.keyCode==$.ui.keyCode.DELETE){
							$("#nombre_cliente" ).val("");
							$("#id_cliente" ).val("");
							$("#tel1" ).val("");
							$("#mail" ).val("");
						}
			});	

$("#condiciones_tra" ).on( "blur", function( event ) {
	var get = document.getElementById("condiciones_tra").value;
	if(get==0 || get=="")
	{
		document.getElementById("banco").style.display = "none";
		document.getElementById("ref").style.display = "none";  
    	document.getElementById("ref").required = false;
		
	}
	else
	{
		document.getElementById("banco").style.display = "inline-block";
		document.getElementById("ref").style.display = "inline-block";  
    	document.getElementById("ref").required = true;
	}
});

$("#fac" ).on( "change", function( event ) {
	var checkbox1 = document.getElementById("fac");
	if(checkbox1.checked != false)
	{
		document.getElementById("rete").style.display = "inline-block"; 
		var fac = document.getElementById("fac").value;
		$.ajax
		({
			type: "POST",
			url: "ajax/facturar.php",
			data: "facturar="+fac,
			beforeSend: function(objeto)
			{
				$(".fac").html("Mensaje: Cargando...");
			},
			success: function(datos)
			{
				$(".fac").html(datos);
			}
		});
		event.preventDefault();
		
		
		load(1);
		$( "#resultados" ).load( "ajax/editar_facturacion.php" );
		function load(page)
		{
			var q= $("#q").val();
			$("#loader").fadeIn('slow');
			$.ajax({
					url:'./ajax/productos_factura.php?action=ajax&page='+page+'&q='+q,
				 	beforeSend: function(objeto)
					{
				 	$('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  		},
					success:function(data)
					{
						$(".outer_div").html(data).fadeIn('slow');
						$('#loader').html('');
					}
			})
		}
		
	}
	else
	{
		document.getElementById("rete").style.display = "none"; 
		$.ajax
		({
			type: "POST",
			url: "ajax/sinfacturar.php",
			beforeSend: function(objeto)
			{
				$(".fac").html("Mensaje: Cargando...");
			},
			success: function(datos)
			{
				$(".fac").html(datos);
			}
		});
		event.preventDefault();
		
		
		load(1);
		$( "#resultados" ).load( "ajax/editar_facturacion.php" );
		function load(page)
		{
			var q= $("#q").val();
			$("#loader").fadeIn('slow');
			$.ajax({
					url:'./ajax/productos_factura.php?action=ajax&page='+page+'&q='+q,
				 	beforeSend: function(objeto)
					{
				 	$('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  		},
					success:function(data)
					{
						$(".outer_div").html(data).fadeIn('slow');
						$('#loader').html('');
					}
			})
		}
	}
});





	</script>

  </body>
</html>